    The XSPEC spline model: spline modification.

xsspline
The xsspline model is a multiplicative model component.

The model is described at [1] .

>>> create_model_component("xsspline", "mdl")
>>> print(mdl)

Create a component of the xsspline model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Estart thawed 0.1 0 100 keV mdl.Ystart thawed 1 -1e+06 1e+06 mdl.Yend thawed 1 -1e+06 1e+06 mdl.YPstart thawed 0 -1e+06 1e+06 mdl.YPend thawed 0 -1e+06 1e+06 mdl.Eend thawed 15 0 100 keV

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
Estart
The start x value (energy), in keV.
YStart
The start y value.
Yend
The end y value.
YPstart
The start dy/dx value.
YPEnd
The end dy/dx value.
Eend
The end x value (energy), in keV.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelSpline.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023